### Hierarchy

- Node

## Index

### Constructors

- constructor

### Properties

- data
- dataRelationships

### Methods

- _createNode
- _json

### Object literals

- _headers
- _nodeTemplate

## Constructors

### constructor

- new Node(): Node

- - Defined in cms/drupal/entities/node.ts:31

  #### Returns Node

## Properties

### data

data: any

- Defined in cms/drupal/entities/node.ts:7

### dataRelationships

dataRelationships: object

- Defined in cms/drupal/entities/node.ts:8

#### Type declaration

## Methods

### _createNode

- _createNode(nodeObject?: any): any

- - Defined in cms/drupal/entities/node.ts:38

  #### Parameters

  - ##### Default value nodeObject: any = this._nodeTemplate

  #### Returns any

### _json

- _json(): string

- - Defined in cms/drupal/entities/node.ts:46

  #### Returns string

## Object literals

### _headers

_headers: object

- Defined in cms/drupal/entities/node.ts:9

### Accept

Accept: string = "application/vnd.api+json"

- Defined in cms/drupal/entities/node.ts:10

### Content-Type

Content-Type: string = "application/vnd.api+json"

- Defined in cms/drupal/entities/node.ts:11

### _nodeTemplate

_nodeTemplate: object

- Defined in cms/drupal/entities/node.ts:14

### data

data: object

- Defined in cms/drupal/entities/node.ts:15

### type

type: string = "node--page"

- Defined in cms/drupal/entities/node.ts:16

### attributes

attributes: object

- Defined in cms/drupal/entities/node.ts:17

### title

title: string = "new: node--page"

- Defined in cms/drupal/entities/node.ts:18

### body

body: object

- Defined in cms/drupal/entities/node.ts:24

### value

value: string = "new: node--page: body"

- Defined in cms/drupal/entities/node.ts:25